//
//  BCPWPassWordUpdateManager.h
//  AuthnCenter_PWLogin_2E
//
//  Created by liz on 2022/5/11.
//  Copyright © 2022 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
typedef void (^BCSkipPasswordModifyHandlerBlock)(NSString * _Nonnull code,id data);
typedef void (^BCPWModifyPasswordHandlerBlock)(NSString * _Nonnull code,id data);




@interface BCPWPassWordUpdateManager : NSObject
+ (instancetype )sharedInstance;
-(void)skipPassWordModifyWithStateToken:(NSString*)state_token andWithCallBackHandler:(BCSkipPasswordModifyHandlerBlock)callBack;
-(void)modifyPasswordWithStateToken:(NSString*)state_token andWithNewPassword:(NSString*)newPassword andWithOldPassword:(NSString*)oldPassword andWithCallBackHandler:(BCPWModifyPasswordHandlerBlock)callBack;

@end

NS_ASSUME_NONNULL_END
