//
//  BCPWSlideVerifyCodeManager.h
//  AuthnCenter_PWLogin_2E
//
//  Created by liz on 2022/5/11.
//  Copyright © 2022 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
typedef void (^BCPWSlideCodeHandlerBlock)(NSString * _Nonnull code,id data);
typedef void (^BCPWSendSMSHandlerBlock)(NSString * _Nonnull code,id data);
typedef enum {
    pwSlideSMSForgetPassword  = 1,
    pwSlideSMSRegist=2
} pwSlideSMSSendType;


@interface BCPWSlideVerifyCodeManager : NSObject

+(void)startSlidingVerifyCodePageWithMobileNumber:(NSString*)mobile andWithResultHandler:(BCPWSlideCodeHandlerBlock)resultHandler;
+(void)sendSMSWithSlideResultWithToken:(NSString*)token andMobile:(NSString*)mobile andWithType:(pwSlideSMSSendType)type andWithCallBack:(BCPWSendSMSHandlerBlock)callBack;

@end

NS_ASSUME_NONNULL_END
